Package com.xebialabs.xlrelease.utils

## Class Graph.DFS<A,​B>

- java.lang.Object
- - com.xebialabs.xlrelease.utils.Graph.DFS<A,​B>

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Equals`, `scala.Product`
  Enclosing class:
    Graph<A>

      public static class Graph.DFS<A,​B>
      extends java.lang.Object
      implements scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DFS​(B value, scala.collection.immutable.Set<A> visited, scala.collection.immutable.Set<A> temp, scala.collection.immutable.List<A> order, boolean done, boolean hasCycle)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `<A,​B> Graph.DFS<A,​B>` | `copy​(B value, scala.collection.immutable.Set<A> visited, scala.collection.immutable.Set<A> temp, scala.collection.immutable.List<A> order, boolean done, boolean hasCycle)` |
    `<A,​B> B` | `copy$default$1()` |
    `<A,​B> scala.collection.immutable.Set<A>` | `copy$default$2()` |
    `<A,​B> scala.collection.immutable.Set<A>` | `copy$default$3()` |
    `<A,​B> scala.collection.immutable.List<A>` | `copy$default$4()` |
    `<A,​B> boolean` | `copy$default$5()` |
    `<A,​B> boolean` | `copy$default$6()` |
    `boolean` | `done()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `boolean` | `hasCycle()` |
    `int` | `hashCode()` |
    `scala.collection.immutable.List<A>` | `order()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `scala.collection.immutable.Set<A>` | `temp()` |
    `java.lang.String` | `toString()` |
    `B` | `value()` |
    `scala.collection.immutable.Set<A>` | `visited()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### DFS

          public DFS​(B value,
                     scala.collection.immutable.Set<A> visited,
                     scala.collection.immutable.Set<A> temp,
                     scala.collection.immutable.List<A> order,
                     boolean done,
                     boolean hasCycle)

  - ### Method Detail

    - #### value

          public B value()

    - #### visited

          public scala.collection.immutable.Set<A> visited()

    - #### temp

          public scala.collection.immutable.Set<A> temp()

    - #### order

          public scala.collection.immutable.List<A> order()

    - #### done

          public boolean done()

    - #### hasCycle

          public boolean hasCycle()

    - #### copy

          public <A,​B> Graph.DFS<A,​B> copy​(B value,
                                                       scala.collection.immutable.Set<A> visited,
                                                       scala.collection.immutable.Set<A> temp,
                                                       scala.collection.immutable.List<A> order,
                                                       boolean done,
                                                       boolean hasCycle)

    - #### copy$default$1

          public <A,​B> B copy$default$1()

    - #### copy$default$2

          public <A,​B> scala.collection.immutable.Set<A> copy$default$2()

    - #### copy$default$3

          public <A,​B> scala.collection.immutable.Set<A> copy$default$3()

    - #### copy$default$4

          public <A,​B> scala.collection.immutable.List<A> copy$default$4()

    - #### copy$default$5

          public <A,​B> boolean copy$default$5()

    - #### copy$default$6

          public <A,​B> boolean copy$default$6()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`